KEYTypes_fwd.h File Reference
`#include <memory>`
`#include <string>`
`#include <unordered_map>`
`#include "IWORKTypes_fwd.h"`

Go to the source code of this file.

## Namespaces
namespace | libetonyek

## Typedefs
typedef std::shared_ptr< KEYLayer > | libetonyek::KEYLayerPtr_t
typedef std::unordered_map< ID_t, KEYLayerPtr_t > | libetonyek::KEYLayerMap_t
typedef std::shared_ptr< KEYPlaceholder > | libetonyek::KEYPlaceholderPtr_t
typedef std::unordered_map< ID_t, KEYPlaceholderPtr_t > | libetonyek::KEYPlaceholderMap_t
typedef std::shared_ptr< KEYSlide > | libetonyek::KEYSlidePtr_t
typedef std::unordered_map< ID_t, KEYSlidePtr_t > | libetonyek::KEYSlideMap_t
typedef std::unordered_map< ID_t, KEYTransition > | libetonyek::KEYTransitionMap_t